CVE-2009-0007

CVE information

Published

13 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Heap-based buffer overflow in Apple QuickTime before 7.6 allows remote attackers to cause a denial of service (application termination) and possibly execute arbitrary code via a QuickTime movie file containing invalid image width data in JPEG atoms within STSD atoms..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:apple:quicktime:7.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.5.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:4.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:5.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.3.1.70:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:5.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.5.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:6.5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:apple:quicktime:7.4.0:*:*:*:*:*:*:*
  Yes
- -

Get started for free to scan for vulnerabilities

Companies of all sizes use Mageni to scan their assets for vulnerabilities. Mageni is free for 7-days then $39 USD Monthly regardless of how many IPs, scans, deployments or users you have. Cancel at Anytime and 7-days Money-Back Guarantee. Developed and supported by certified CompTIA PenTest+ professionals. Mageni contributes 1% of your subscription to removing CO₂ from the atmosphere.

Get Started For Free
App screenshot